@media only screen and (max-width: 900px) {
  :root {
    --scalefactor: 1;
    --translating: 0;
  }
}
@media only screen and (max-width: 600px) {
  :root {
    --scalefactor: 0.9;
    --translating: -50px;
  }
}
@media only screen and (max-width: 400px) {
  :root {
    --scalefactor: 0.8;
    --translating: -100px;
  }
}
@media only screen and (max-width: 350px) {
  :root {
    --scalefactor: 0.7;
    --translating: -150px;
  }
}
@media only screen and (max-width: 300px) {
  :root {
    --scalefactor: 0.5;
    --translating: -250px;
  }
}

* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
  font-family: Arial, Helvetica, sans-serif;
  color: white;
}
body {
  width: 100%;
  height: auto;
  text-align: center;
  background-image: linear-gradient(#110011, #303);
    overflow: scroll;
}
#middle {
  width: 500px;
  margin-left: 2em;
  float: left;
}
#rightside {
  width: calc(100% - 500px - 4em);
  height: 100vh;
  float: right;
  padding-top: 5em;
  text-align: left;
  margin-left: 1em;
  padding-left: 1em;
  border-left: 3px solid white;
  line-height: 3vw;
}
#difficulty, #bot {
  font-size: 3vw;
  margin-bottom: 3em;
}
#canvasPlayground {
  width: 500px;
  height: 500px;
  z-index: 1;
  margin: 0 auto;
  transform: scale(var(--scalefactor)) translate(var(--translating), var(--translating));
}
#description {
}
#end {
}
.fields, .filledbot, .filledyou {
  margin-top: -3px;
  border-right: 1px solid #666;
  background-color: #444;
  background-size: 100% 100%;
  background: url("../Bilder/mainbg.gif");
  background-size: 100% 100%;
}
#pvp {
  margin-top: 10px;
  width: 500px;
  height: 70px;
  background: #444;
  font-size: 2em;
  transform: translateY(var(--translating));
}
#neu {
  background-color: #444;
}
#saywin {
  width: 100%;
  height: 100vh;
  position: absolute;
  top: 0;
  left: 0;
  display: none;
  text-shadow: 0 0 4px black;
}
#sayWhoWon {
  display: block;
  z-index: 3;
}
.nextGameInputs {
  display: block;
  z-index: 4;
  position: relative;
  background: rgb(150, 150, 150, 0.4);
  line-height: 10vh;
  font-size: 6vh;
  color: white;
}
.nextGameInputs1 {
  width: 2em;
  height: 1em;
  display: inline-block;
  color: black;
  position: relative;
  z-index: 5;
  font-size: 1em;
  background: #888;
  color: white;
}
#playAgain {
  width: 100%;
  height: 20vh;
  position: relative;
  z-index: 20;
  background: #777;
  font-size: 6vh;
}
@media only screen and (max-width: 700px) {
  body {
    overflow-x: hidden;
  }
  #rightside {
    height: auto;
    width: 100vw;
    text-align: center;
    margin: 0;
    margin-top: 5vh;
    padding-top: 0;
  }
  #middle {
    float: left;
    margin: 0;
    width: 100vw;
    height: 100vh;
    padding: 0;
    display: inline-block;
  }
  #canvasPlayground {
    margin: 0;
    float: none;
    display: inline-block;
  }
  #pvp {
    width: 100%;
  }
  .fields, .filledbot, .filledyou {
  }
}
